[X2Go-Commits] [x2gothinclient] 01/01: Use lazy unmounts for unmounting bind-mounted /proc, /sys, /dev/pts after exiting the TCE chroot (x2gothinclient_shell, x2gothinclient_upgrade).

git-admin at x2go.org git-admin at x2go.org
Fri Aug 29 11:22:28 CEST 2014


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository x2gothinclient.

commit 7ef30faa63c0a0213c8b2c7116eb4e261ff98eaa
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Fri Aug 29 11:22:25 2014 +0200

    Use lazy unmounts for unmounting bind-mounted /proc, /sys, /dev/pts after exiting the TCE chroot (x2gothinclient_shell, x2gothinclient_upgrade).
---
 debian/changelog                       |    3 +++
 management/sbin/x2gothinclient_shell   |    2 +-
 management/sbin/x2gothinclient_upgrade |    2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 4efd6c2..6003418 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,9 @@ x2gothinclient (1.5.0.0-0x2go1) UNRELEASED; urgency=low
     - Avoid x2gothinclient_init failures, use if..then..fi instead of
       the test command.
     - Init scripts: Provide status option.
+    - Use lazy unmounts for unmounting bind-mounted /proc, /sys, /dev/pts
+      after exiting the TCE chroot (x2gothinclient_shell,
+      x2gothinclient_upgrade).
     - New TCE component: x2gothinclient-minidesktop. Instead of using
       X2Go Client as login manager, we launch a minimal MATE desktop and
       connect to X2Go sessions from there.
diff --git a/management/sbin/x2gothinclient_shell b/management/sbin/x2gothinclient_shell
index f6f496d..2159a9a 100755
--- a/management/sbin/x2gothinclient_shell
+++ b/management/sbin/x2gothinclient_shell
@@ -106,6 +106,6 @@ test -f "$TC_CHROOT/etc/resolv.conf.disabled-by-x2go" && mv "$TC_CHROOT/etc/reso
 
 for mountpoint in proc dev/pts sys; do
 	while true; do
-		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount "$TC_CHROOT/$mountpoint" || break
+		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount -l "$TC_CHROOT/$mountpoint" || break
 	done
 done
diff --git a/management/sbin/x2gothinclient_upgrade b/management/sbin/x2gothinclient_upgrade
index f05baf2..03fcd4d 100755
--- a/management/sbin/x2gothinclient_upgrade
+++ b/management/sbin/x2gothinclient_upgrade
@@ -107,6 +107,6 @@ test -f "$TC_CHROOT/etc/resolv.conf.disabled-by-x2go" && mv "$TC_CHROOT/etc/reso
 
 for mountpoint in proc dev/pts sys; do
 	while true; do
-		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount "$TC_CHROOT/$mountpoint" || break
+		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount -l "$TC_CHROOT/$mountpoint" || break
 	done
 done

--
Alioth's /srv/git/_hooks_/post-receive-email on /srv/git/code.x2go.org/x2gothinclient.git


More information about the x2go-commits mailing list